$('#color').colorpicker();
// Example using an event, to change the color of the .jumbotron background:
$('#color').on('change', function (event) {
    $('#color').css('background-color', event.color.toString()).val('');
    $("#textColor").val(event.color.toString());
});
var fileImg;
$("#file").change(function(){
    var idFile = $(this).attr("id");
    var file = document.getElementById(idFile);
    if(file != ''){
        var fileList = file.files[0]; //获取的图片文件
        fileImg = fileList;
        $("#imgFile").val(fileList.name);
        var imgUrl = window.URL.createObjectURL(fileList);
        $("#aDiv").prop("href",imgUrl);
        $("#imgDiv").prop("src",imgUrl);
    }
})

//保存
function save(){
    var transparent = $("#transparent").val();
    var text = $("#text").val();
    var textX = $("#textX").val();
    var textY = $("#textY").val();
    var textSize = $("#textSize").val();
    var textRotation = $("#textRotation").val();
    var imgWidth = $("#imgWidth").val();
    var imgHeight = $("#imgHeight").val();
    var imgX = $("#imgX").val();
    var imgY = $("#imgY").val();
    if(transparent != ''){
        if(text != ''){
            if(textX != ''){
                if(textY != ''){
                   if(textSize != ''){
                       if(textRotation != ''){
                           if(imgWidth != ''){
                              if(imgHeight != ''){
                                  if(imgX != ''){
                                      if(imgY != ''){
                                          saveMethod();
                                      }else{
                                          toastr.warning("图片偏右距离不能为空!");
                                          $("#imgX").focus();
                                      }
                                  }else{
                                      toastr.warning("图片偏左距离不能为空!");
                                      $("#imgX").focus();
                                  }
                              }else{
                                  toastr.warning("图片高度不能为空!");
                                  $("#imgWidth").focus();
                              }
                           }else{
                               toastr.warning("图片宽度不能为空!");
                               $("#imgWidth").focus();
                           }
                       }else{
                           toastr.warning("文本旋转角度不能为空!");
                           $("#textRotation").focus();
                       }
                   }else{
                       toastr.warning("文本字号不能为空!");
                       $("#textSize").focus();
                   }
                }else{
                    toastr.warning("文本偏右距离不能为空!");
                    $("#textY").focus();
                }
            }else{
                toastr.warning("文本偏左距离不能为空!");
                $("#textX").focus();
            }
        }else{
            toastr.warning("文本内容不能为空!");
            $("#text").focus();
        }
    }else{
        toastr.warning("透明度不能为空!");
        $("#transparent").focus();
    }

}

function saveMethod(){
    var url = path+'/pdfWaterSet/update';
    var formData = new FormData();
    formData.append('id',$("#id").val());
    if(fileImg != ''){
        formData.append('files',fileImg);
    }
    var x = $("form").serializeArray();
    $.each(x, function (i, field) {
        formData.append(field.name,field.value);
    });
    $.ajax({
        url:url,
        data:formData,
        type :  "post",
        processData: false,
        contentType: false,
        dataType:'json',
        success : function(data){
            if(data.code == 0){
                toastr.success("保存成功");
            }else{
                toastr.error(data.msg);
            }
        }
    })
}
